aboutsummaryrefslogtreecommitdiff
path: root/autogen.sh
diff options
context:
space:
mode:
authorJeff Garzik <jeff@garzik.org>2010-11-24 19:31:12 -0500
committerJeff Garzik <jgarzik@redhat.com>2010-11-24 19:31:12 -0500
commit702e2ac8119943ded0e95a77b3e9c63f7311f717 (patch)
treecbcb72d52e884ba6d79055cb2095cd73d4035b2c /autogen.sh
parente33abcdbe4a811b99c90c81f44e4a0641e426e1c (diff)
Convert over to autotools. Release version 0.1.v0.1
Diffstat (limited to 'autogen.sh')
-rwxr-xr-xautogen.sh12
1 files changed, 12 insertions, 0 deletions
diff --git a/autogen.sh b/autogen.sh
new file mode 100755
index 0000000..989604a
--- /dev/null
+++ b/autogen.sh
@@ -0,0 +1,12 @@
+#!/bin/sh
+
+# You need autoconf 2.5x, preferably 2.57 or later
+# You need automake 1.7 or later. 1.6 might work.
+
+set -e
+
+aclocal
+autoheader
+automake --gnu --add-missing --copy
+autoconf
+